Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/documents/$DOCUMENT_ID/review \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"outcome": "ACCEPTED",
"documentType": "BANKRUPTCY_NOTICE",
"sensitive": true ,
"loanRefs": [
"456"
],
"promoteToEvidence": true ,
"reviewNote": "Customer identity and filing reference verified."
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/documents/${documentId}/review` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"outcome": "ACCEPTED",
"documentType": "BANKRUPTCY_NOTICE",
"sensitive": true ,
"loanRefs": [
"456"
],
"promoteToEvidence": true ,
"reviewNote": "Customer identity and filing reference verified."
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/documents/{document_id}/review" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"outcome": "ACCEPTED",
"documentType": "BANKRUPTCY_NOTICE",
"sensitive": true ,
"loanRefs": [
"456"
],
"promoteToEvidence": true ,
"reviewNote": "Customer identity and filing reference verified."
},
)200 400 401 403 404 409
{
"documentId": 7001 ,
"reviewStatus": "ACCEPTED",
"links": [
{
"targetType": "CASE",
"targetRef": "1001"
},
{
"targetType": "CUSTOMER",
"targetRef": "123"
},
{
"targetType": "LOAN",
"targetRef": "456"
}
],
"evidenceId": 8801 ,
"reviewTaskId": 3301 ,
"resourceId": 7001
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}